Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

List all funnels

Scope: crm:funnels.read https://api.alladdin.com/api/v2/funnels

Returns a paginated list of funnels.
Results are paginated with limit and cursor parameters. Default page size is 50, configurable up to 200.

Parameters

Query parameters

cursor string optional

Pagination cursor returned by the previous response. Omit to start from the first page.

limit integer optional = 50

Maximum number of items to return

Request

python
import requests

url = "https://api.alladdin.com/api/v2/funnels?cursor=value&limit=50"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "items": [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "string",
      "stages": [
        {
          "id": "...",
          "name": "...",
          "key": "...",
          "description": "...",
          "deal_probability": "...",
          "rotting_days": "..."
        }
      ],
      "labels": [
        {}
      ],
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "has_more": false,
  "cursor": "string"
}

Success responses

200 List of funnels application/json object items[] object[] required id string required

Unique identifier

name string required

Funnel name

stages[] object[] required

Funnel stages

labels[] object[] required

Funnel labels

created_at string | null required

Creation date in ISO 8601 format

updated_at string | null required

Last update date in ISO 8601 format

has_more boolean required

Whether there are more items on the next page

cursor string | null optional

Opaque cursor to pass as ?cursor= to fetch the next page. Null on the last page.

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 429 Rate limit exceeded application/json

← PreviousUpdate a funnel →

Next →Get a funnel →